Quassel IRC - Bug #866

Rejoining a temporarily hidden channel or query does not unhide it
12/03/2009 09:29 AM - Topy44

Status: Resolved Start date: 12/03/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.7.2 0OS: Any
Description

If i part a channel and temporarily hide it, and later rejoin the channel, the channel stays hidden until there is activity. Auto-hiding is
off. This could be considered a "missing feature" rather then a bug, but its a relevant usability issue IMHO, as it requires manually
unhiding the channel again. The same applies for hidden querys (/query user should unhide it).

Tested with 0.5.1 dist-7cae1af on Win XP. (Why can't i select 0.5.1 as version?)

Related issues:
Is duplicate of Quassel IRC - Bug #342: A hidden query buffer won't be redisp... Closed

Associated revisions

Revision ed178d5c517ad031444fc64f1185f9ea7a926e15 - 01/20/2012 07:20 PM - Bas Pape

Unhide buffer when joining or querying and it was temporarily hidden. fixes #866

Revision ed178d5c - 01/20/2012 07:20 PM - Bas Pape

Unhide buffer when joining or querying and it was temporarily hidden. fixes #866

Revision 488a571c98062ec03287f5bcf2b4fb16aeddf5b2 - 01/21/2012 08:08 PM - Bas Pape

Unhide buffer when joining or querying and it was temporarily hidden. fixes #866

Revision 488a571c - 01/21/2012 08:08 PM - Bas Pape

Unhide buffer when joining or querying and it was temporarily hidden. fixes #866

History

#1 - 08/04/2010 09:43 PM - Anonymous

Agreed -- if the buffer is manually activated, it should automatically unhide [at least w/ "temporarily hidden" buffers]

#2 - 01/21/2012 08:09 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset ed178d5c517ad031444fc64{1{85f9ea7a926e15.

#3 - 01/21/2012 08:46 PM - johu
- Target version set to 0.7.4

- Version changed from 0.5.0 to 0.7.2
